CREATE TABLE role (
  id   INTEGER     NOT NULL PRIMARY KEY,
  name VARCHAR(50) NOT NULL );

CREATE TABLE user (
  USERNAME          VARCHAR(256)            NOT NULL PRIMARY KEY,
  PASSWORD          VARCHAR(256)            NOT NULL,
  BYTES_STREAMED    BIGINT DEFAULT 0        NOT NULL,
  BYTES_DOWNLOADED  BIGINT DEFAULT 0        NOT NULL,
  BYTES_UPLOADED    BIGINT DEFAULT 0        NOT NULL,
  LDAP_AUTHENTICATED BOOLEAN DEFAULT FALSE  NOT NULL,
  EMAIL             VARCHAR(256),
  GROUP_ID          INTEGER DEFAULT 0       NOT NULL,
  LOCKED            BOOLEAN DEFAULT FALSE   NOT NULL,
  COMMENT           VARCHAR(256) );
  
CREATE TABLE user_role (
  username  VARCHAR(256) NOT NULL,
  role_id   INTEGER      NOT NULL,
  PRIMARY KEY (username, role_id),
  CONSTRAINT FOREIGN KEY (username) REFERENCES user (username),
  CONSTRAINT FOREIGN KEY (role_id) REFERENCES role (id) );