CREATE TABLE role (
  id   INTEGER     NOT NULL PRIMARY KEY,
  name VARCHAR(50) NOT NULL);

CREATE TABLE user (
	USERNAME VARCHAR(256) NOT NULL PRIMARY KEY,
	PASSWORD VARCHAR(256) NOT NULL,
	BYTES_STREAMED BIGINT DEFAULT 0 NOT NULL,
	BYTES_DOWNLOADED BIGINT DEFAULT 0 NOT NULL,
	BYTES_UPLOADED BIGINT DEFAULT 0 NOT NULL,
	ldap_authenticated BOOLEAN DEFAULT FALSE NOT NULL,
	EMAIL VARCHAR(256),
	GROUP_ID INT NOT NULL,
	LOCKED VARCHAR(4) NOT NULL,
	COMMENT VARCHAR(256));  
  
CREATE TABLE user_role (
  username VARCHAR(256) NOT NULL,
  role_id  INTEGER      NOT NULL,
  PRIMARY KEY (username, role_id),
  CONSTRAINT FOREIGN KEY (username) REFERENCES user (username),
  CONSTRAINT FOREIGN KEY (role_id) REFERENCES role (id));